--- lib/utimens.h.orig	2008-09-04 02:26:02.000000000 +0000
+++ lib/utimens.h	2008-09-04 02:26:12.000000000 +0000
@@ -1,3 +1,3 @@
 #include <time.h>
-int futimens (int, char const *, struct timespec const [2]);
+int coreutils_futimens (int, char const *, struct timespec const [2]);
 int utimens (char const *, struct timespec const [2]);
--- lib/utimens.c.orig	2008-09-04 02:26:24.000000000 +0000
+++ lib/utimens.c	2008-09-04 02:26:49.000000000 +0000
@@ -75,7 +75,7 @@
    Return 0 on success, -1 (setting errno) on failure.  */
 
 int
-futimens (int fd ATTRIBUTE_UNUSED,
+coreutils_futimens (int fd ATTRIBUTE_UNUSED,
 	  char const *file, struct timespec const timespec[2])
 {
   /* Some Linux-based NFS clients are buggy, and mishandle time stamps
@@ -185,5 +185,5 @@
 int
 utimens (char const *file, struct timespec const timespec[2])
 {
-  return futimens (-1, file, timespec);
+  return coreutils_futimens (-1, file, timespec);
 }
--- src/touch.c.orig	2008-09-04 02:27:47.000000000 +0000
+++ src/touch.c	2008-09-04 02:28:08.000000000 +0000
@@ -182,7 +182,7 @@
       t = timespec;
     }
 
-  ok = (futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
+  ok = (coreutils_futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
 
   if (fd == STDIN_FILENO)
     {
--- src/copy.c.orig	2008-09-04 02:28:26.000000000 +0000
+++ src/copy.c	2008-09-04 02:28:38.000000000 +0000
@@ -518,7 +518,7 @@
       timespec[0] = get_stat_atime (src_sb);
       timespec[1] = get_stat_mtime (src_sb);
 
-      if (futimens (dest_desc, dst_name, timespec) != 0)
+      if (coreutils_futimens (dest_desc, dst_name, timespec) != 0)
 	{
 	  error (0, errno, _("preserving times for %s"), quote (dst_name));
 	  if (x->require_preserve)
